
#ifndef ACCOUNTS_H
#define ACCOUNTS_H

#include <pthread.h>

const int AccountsMaxItemSize = 1024;

class Accounts
{
	pthread_mutex_t mutex;
	char
		lineStr[AccountsMaxItemSize],
		id[AccountsMaxItemSize],
		passwd[AccountsMaxItemSize],
		eMail[AccountsMaxItemSize];

public:
	Accounts();
	~Accounts();

	void add(const char *ID, const char *passwd,
		const char *eMail);
	void check(const char *ID, const char *passwd);

private:
	void getByID(const char *ID);
	char *replaceColons(char *str);
};

extern Accounts *accounts;

#endif
